//
// Create Date:         Aug 17, 2016
// Design Name:         LED Blink Application
// Module Name:         main.c
// Project Name:        Getting Started - Zybo
// Target Devices:      Zynq-7000
// Engineer:			Christopher Reisner
//
// Description:         Zynq LED Example
//
// Dependencies:
//
// Revision:            Aug 17, 2016: 1.00 Initial version
//
//----------------------------------------------------------------------------

/***************************** Include Files *********************************/

#include <stdio.h>
#include "blink_led.h"
#include "xil_io.h"


/************************** Constant Definitions *****************************/
/* The following constant maps to the name of the hardware instances that
 * were created in the Vivado system design. */
#define BLINK_LED_BASE_ADDR 0x43C00000

/************************** Main Code Entry **********************************/
int main()
{
	unsigned int data=0;

	while(1)
	{
		/* Prompt the user to select a value ranging from
		 * 0 to 16. */
		printf("Please enter a value between 0-15\r\n");
		scanf("%d",&data);
		printf("--------\r\n");
		if((data>=0)&&(data<16))
		{
			// Set value of LED IP Core to the value selected by the user
			BLINK_LED_mWriteReg(BLINK_LED_BASE_ADDR,BLINK_LED_S00_AXI_SLV_REG0_OFFSET,(u32)data);
			printf("Successfully updated LEDs\r\n");
		}
		//Error handling
		else
		{
			printf("Invalid value!\r\n");
		}
		printf("--------\r\n");
	}
	return 0;
}
